Loading...
Searching...
No Matches
Dune::Functions::BasisFactory::Experimental::PeriodicIndexSet Class Reference

Container storing identified indices for a periodic basis. More...

`#include <dune/functions/functionspacebases/periodicbasis.hh>`

## Public Member Functions

void | unifyIndexPair (std::size_t a, std::size_t b)
| Insert a pair of indices.
const auto & | indexPairSet () const

## Detailed Description

Container storing identified indices for a periodic basis.

This class is intended to be passed to the BasisFactory::periodic() function. The class stores a set of index pairs which should be identified in order to construct a basis with periodic functions.

## Member Function Documentation

## indexPairSet()

const auto & Dune::Functions::BasisFactory::Experimental::PeriodicIndexSet::indexPairSet | ( |  | ) | const

inline

## unifyIndexPair()

void Dune::Functions::BasisFactory::Experimental::PeriodicIndexSet::unifyIndexPair | ( | std::size_t | a,
|  | std::size_t | b )

inline

Insert a pair of indices.

The two bases functions associated to the provided indices will be combined into a single basis function by associating them to a shared global index.

The documentation for this class was generated from the following file:

- periodicbasis.hh